Agents

Set or clear manual agent target version override

PATCH
/organizations/{organizationId}/agents/{agentId}/target-version

Path Parameters

organizationId*string
Formatuuid
agentId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/target-version" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "targetVersion": "string"  }'
{  "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",  "versionPinned": false,  "targetVersion": "string",  "effectiveTargetVersion": "string",  "upgradeStatus": "string",  "targetSource": "pinned"}
{  "message": "string"}
{  "message": "string"}
{  "message": "string"}